cURL
curl --request GET \
--url https://api.hirehive.com/v1.0/{company_id}/interviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hirehive.com/v1.0/{company_id}/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page_size": 123,
"page": 123,
"total_items": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"previous": "<string>"
},
"items": [
{
"id": "<string>",
"candidate_id": "<string>",
"application_id": "<string>",
"job_id": "<string>",
"event": {
"title": "<string>",
"location": "<string>",
"type": "phone",
"status": "active",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"organizer_id": "<string>",
"attendees": [
{
"id": "<string>",
"application_id": "<string>",
"user_id": "<string>",
"type": "user",
"status": "accepted",
"display_name": "<string>",
"email": "<string>"
}
]
},
"meta": {
"note_for_candidate": "<string>",
"note_for_attendees": "<string>",
"attach_resume_to_invite": true,
"online_meeting_type": "hangouts_meet",
"meeting_url": "<string>"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Interviews
Get interviews
Get a paginated list of interviews
GET
/
v1.0
/
{company_id}
/
interviews
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Filter interviews for a specific candidate
Filter interviews for a specific job
Return interviews starting before the specified date
Return interviews starting after the specified date
Return interviews ending before the specified date
Return interviews ending after the specified date
Defaults to 1
Defaults to 30. Min = 1. Max = 100
Required range:
1 <= x <= 100Was this page helpful?
⌘I